#### 7.10.6.25 ncrepIsDefinedDim

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  list l = ncrepIsDefinedDim(q, N, vars, n, maxcoeff);

Return:
  list(k, list vars, list(A1, ..., Ak)), where:
  If k = N then there are matrices A1, ..., Ak of size N such that q is defined at A = (A1, ..., Ak), i.e.,
  q.mat is invertible at A.
  If k = 0 then no such point was found.

Note:
  Test whether q.mat is invertible via evaluation
  at random matrix points with integer coefficients
  in [-maxcoeff, maxcoeff]. Stops after n tries.
  Use square matrices of dimension N. The list vars
  contains the nc variables which occur in q.

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y"));
    ncrat f = ncratFromString("inv(x*y-y*x)");
    ncrep q = ncrepGet(f);
    ncrepIsDefinedDim(q, 1, list(x, y), 10, 100);
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    [1]:
    ==>       x
    ==>    [2]:
    ==>       y
    ==> [3]:
    ==>    empty list
    ncrepIsDefinedDim(q, 2, list(x, y), 10, 100);
    ==> [1]:
    ==>    2
    ==> [2]:
    ==>    [1]:
    ==>       x
    ==>    [2]:
    ==>       y
    ==> [3]:
    ==>    [1]:
    ==>       _[1,1]=-55
    ==>       _[1,2]=-24
    ==>       _[2,1]=39
    ==>       _[2,2]=-17
    ==>    [2]:
    ==>       _[1,1]=36
    ==>       _[1,2]=-58
    ==>       _[2,1]=-13
    ==>       _[2,2]=-55

User manual for Singular version 4.4.1, 2025, generated by texi2html.